/*
  Copyright 1999-2008 ImageMagick Studio LLC, a non-profit organization
  dedicated to making software imaging solutions freely available.
  
  You may not use this file except in compliance with the License.
  obtain a copy of the License at
  
    http://www.imagemagick.org/script/license.php
  
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The ImageMagick thread private methods.
*/
#ifndef _MAGICK_THREAD_PRIVATE_H
#define _MAGICK_THREAD_PRIVATE_H

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

static inline unsigned long GetMagickMaximumThreads(void)
{
#if defined(_OPENMP)
  return(omp_get_max_threads());
#endif
  return(1);
}

static inline long GetMagickThreadId(void)
{
#if defined(_OPENMP)
  return(omp_get_thread_num());
#endif
  return(0);
}

static inline void SetMagickMaximumThreads(const unsigned long threads)
{
#if defined(_OPENMP)
  omp_set_num_threads(threads);
#endif
  (void) threads;
}

#if defined(__cplusplus) || defined(c_plusplus)
}
#endif

#endif
